---
title: HTMLHyperlinkElementUtils.host
slug: Web/API/HTMLHyperlinkElementUtils/host
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Reference
  - URL API
---
<div>{{ApiRef("URL API")}}</div>

<p>The <strong><code>HTMLHyperlinkElementUtils.host</code></strong> property is a {{domxref("USVString")}} containing the host, that is the <em>hostname</em>, and then, if the <em>port</em> of the URL is nonempty, a <code>':'</code>, and the <em>port</em> of the URL.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.host;
<em>object.<code>host</code></em> = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var anchor = document.createElement("a");

anchor.href = "https://developer.mozilla.org/en-US/HTMLHyperlinkElementUtils.host"
anchor.host == "developer.mozilla.org"

anchor.href = "https://developer.mozilla.org:443/en-US/HTMLHyperlinkElementUtils.host"
anchor.host == "developer.mozilla.org"
// The port number is not included because 443 is the scheme's default port

anchor.href = "https://developer.mozilla.org:4097/en-US/HTMLHyperlinkElementUtils.host"
anchor.host == "developer.mozilla.org:4097"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-host', 'HTMLHyperlinkElementUtils.host')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.host")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
